Bug 77459 - IndexedDB: mark quota layout test WONTFIX
: IndexedDB: mark quota layout test WONTFIX
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-01-31 11:18 PST by
Modified: 2012-02-04 01:41 PST (History)


Attachments
Patch (4.87 KB, patch)
2012-01-31 11:19 PST, David Grogan
no flags Review Patch | Details | Formatted Diff | Diff
Patch (4.83 KB, patch)
2012-01-31 11:33 PST, David Grogan
no flags Review Patch | Details | Formatted Diff | Diff
Patch (6.34 KB, patch)
2012-01-31 11:36 PST, David Grogan
no flags Review Patch | Details | Formatted Diff | Diff
Patch (6.40 KB, patch)
2012-01-31 12:25 PST, David Grogan
no flags Review Patch | Details | Formatted Diff | Diff
Patch (1.89 KB, patch)
2012-02-03 15:12 PST, David Grogan
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-01-31 11:18:00 PST
Delete old indexeddb 5mb quota test
------- Comment #1 From 2012-01-31 11:19:48 PST -------
Created an attachment (id=124780) [details]
Patch
------- Comment #2 From 2012-01-31 11:21:54 PST -------
Attachment 124780 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: Fix compilation errors on build-webkit --debug --no-workers on mac.
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging LayoutTests/ChangeLog
CONFLICT (content): Merge conflict in LayoutTests/ChangeLog
Auto-merging LayoutTests/platform/qt/Skipped
CONFLICT (content): Merge conflict in LayoutTests/platform/qt/Skipped
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Fix compilation errors on build-webkit --debug --no-workers on mac.

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #3 From 2012-01-31 11:33:24 PST -------
Created an attachment (id=124783) [details]
Patch
------- Comment #4 From 2012-01-31 11:34:59 PST -------
(From update of attachment 124783 [details])
What about database-quota-expected.txt?
------- Comment #5 From 2012-01-31 11:36:16 PST -------
Created an attachment (id=124784) [details]
Patch
------- Comment #6 From 2012-01-31 11:36:47 PST -------
Attachment 124783 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
From git://git.webkit.org/WebKit
   35bf539..c00f0a0  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 106372 = 35bf53917ffea9b99274893b132819d2a8add71f
r106373 = c00f0a0c31f2721d2fb62ca757c315e016c7c7b5
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Applying: Fix compilation errors on build-webkit --debug --no-workers on mac.
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging LayoutTests/ChangeLog
CONFLICT (content): Merge conflict in LayoutTests/ChangeLog
Auto-merging LayoutTests/platform/qt/Skipped
CONFLICT (content): Merge conflict in LayoutTests/platform/qt/Skipped
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Auto-merging Source/WebCore/WebCore.exp.in
Auto-merging Source/WebKit/mac/ChangeLog
CONFLICT (content): Merge conflict in Source/WebKit/mac/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Fix compilation errors on build-webkit --debug --no-workers on mac.

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #7 From 2012-01-31 11:38:00 PST -------
Attachment 124784 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: Fix compilation errors on build-webkit --debug --no-workers on mac.
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging LayoutTests/ChangeLog
CONFLICT (content): Merge conflict in LayoutTests/ChangeLog
Auto-merging LayoutTests/platform/qt/Skipped
CONFLICT (content): Merge conflict in LayoutTests/platform/qt/Skipped
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Auto-merging Source/WebCore/WebCore.exp.in
Auto-merging Source/WebKit/mac/ChangeLog
CONFLICT (content): Merge conflict in Source/WebKit/mac/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 Fix compilation errors on build-webkit --debug --no-workers on mac.

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #8 From 2012-01-31 11:39:07 PST -------
Now also deleted database-quota-expected.txt
------- Comment #9 From 2012-01-31 12:02:11 PST -------
(From update of attachment 124784 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=124784&action=review

lgtm

> LayoutTests/ChangeLog:13
> +

Nit: should list storage/indexeddb/database-quota-expected.txt (doesn't get added automagically, does it?)
------- Comment #10 From 2012-01-31 12:25:41 PST -------
Created an attachment (id=124795) [details]
Patch
------- Comment #11 From 2012-01-31 12:26:26 PST -------
Tony, could you review this?


> Nit: should list storage/indexeddb/database-quota-expected.txt (doesn't get added automagically, does it?)

Updated.
------- Comment #12 From 2012-01-31 13:24:58 PST -------
(From update of attachment 124795 [details])
Is this test always going to fail in Chromium DRT?  Would it be worth keeping this test around for other ports that want to implement indexeddb?
------- Comment #13 From 2012-01-31 15:39:29 PST -------
(In reply to comment #12)
> (From update of attachment 124795 [details] [details])
> Is this test always going to fail in Chromium DRT?

Yep.

> Would it be worth keeping this test around for other ports that want to implement indexeddb?

Probably not, quota isn't in the indexeddb api and no indexeddb quota code is in webkit/webcore.  If another port implements quotas it'll also be in the embedder and embedder-specific.
------- Comment #14 From 2012-01-31 16:41:34 PST -------
(In reply to comment #13)
> (In reply to comment #12)
> > Would it be worth keeping this test around for other ports that want to implement indexeddb?
> 
> Probably not, quota isn't in the indexeddb api and no indexeddb quota code is in webkit/webcore.  If another port implements quotas it'll also be in the embedder and embedder-specific.

Is the quota size in the spec?  Is the exception behavior in the spec?

Even though the quota code isn't in webkit/webcore and Chromium doesn't pass it, it would still be good to have a layout test.  There are plenty of tests that depend on stuff implemented outside of webkit/webcore (e.g., network behaviors, video/audio playback behaviors, graphic behaviors, etc).

We should probably just mark the bug as WONTFIX with a comment saying that it's tested elsewhere.
------- Comment #15 From 2012-01-31 17:12:41 PST -------
(In reply to comment #14)
> (In reply to comment #13)
> > (In reply to comment #12)
> > > Would it be worth keeping this test around for other ports that want to implement indexeddb?
> > 
> > Probably not, quota isn't in the indexeddb api and no indexeddb quota code is in webkit/webcore.  If another port implements quotas it'll also be in the embedder and embedder-specific.
> 
> Is the quota size in the spec?

No.

> Is the exception behavior in the spec?

Kind of - quota errors are used in examples of how an implementation-specific error might propagate.

> Even though the quota code isn't in webkit/webcore and Chromium doesn't pass it, it would still be good to have a layout test.  There are plenty of tests that depend on stuff implemented outside of webkit/webcore (e.g., network behaviors, video/audio playback behaviors, graphic behaviors, etc).
> 
> We should probably just mark the bug as WONTFIX with a comment saying that it's tested elsewhere.

SG.
------- Comment #16 From 2012-02-02 17:57:20 PST -------
(In reply to comment #15)
> (In reply to comment #14)
> > We should probably just mark the bug as WONTFIX with a comment saying that it's tested elsewhere.
> 
> SG.

Sorry, I meant to say we should mark the test as WONTFIX (there are other examples of this in the test_expectations.txt file).
------- Comment #17 From 2012-02-03 15:10:31 PST -------
Reopening for a patch that marks database-quota.html WONTFIX.
------- Comment #18 From 2012-02-03 15:12:27 PST -------
Created an attachment (id=125430) [details]
Patch
------- Comment #19 From 2012-02-03 15:18:42 PST -------
(From update of attachment 125430 [details])
Thanks! Sorry for the confusion.
------- Comment #20 From 2012-02-04 01:40:55 PST -------
(From update of attachment 125430 [details])
Clearing flags on attachment: 125430

Committed r106733: <http://trac.webkit.org/changeset/106733>
------- Comment #21 From 2012-02-04 01:41:00 PST -------
All reviewed patches have been landed.  Closing bug.